function [returnValue, deviceDriverVersion] = i_PCIe3121_mexGetDeviceDriverVersion(deviceHandle)
% i_PCIe3121_mexGetDeviceDriverVersion
%
% Gets the version of the device driver.
% 
% Input parameters:
%    deviceHandle            "Handle of the board"
%
% Output parmeters:
%    returnValue             "Value returned by the function"
%    deviceDriverVersion     "Version. For example: 0x01011211 -> Version 1.01, December 2011"
%
% Example:
% // Add an example here

[returnValue, deviceDriverVersion] = i_PCIe3121_mexGetDeviceDriverVersion(deviceHandle);
