function [returnValue, timerStatus, softwareTriggerStatus, timerValue] = i_PCIe3121_mexReadTimerStatus(deviceHandle, timerNb)
% i_PCIe3121_mexReadTimerStatus
%
% Reads the status of a timer
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    timerNb                   "The timer to be queried"
%
% Output parameters:
%    returnValue             "Value returned by the function"
%    timerStatus               "A pointer to a BYTE to receive the timer status (0 ->	 Disabled, 1 ->	 Enabled)"
%    softwareTriggerStatus     "A pointer to a BYTE to receive the software trigger status (0 ->	 No trigger occurred, 1 ->	 A trigger occurred)"
%    timerValue                "A pointer to a WORD to receive the timer value"
%
%Example:
% // Add an example here

[returnValue, timerStatus, softwareTriggerStatus, timerValue] = i_PCIe3121_mexReadTimerStatus(deviceHandle, timerNb);
