function [returnValue] = i_PCIe3121_mexWrite1AnalogOutput(deviceHandle, channel, polarity, value)
% i_PCIe3121_mexWrite1AnalogOutput
%
% Sets the value of one analog output
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    channel                   "The channel to be set"
%    polarity                  "The polarity of the channel (0 -> unipolar, 1 -> bipolar)"
%    value                     "The value to be set on the analog output"
%
% Output parameters:
%    returnValue             "Value returned by the function"
%
%Example:
% // Add an example here

[returnValue] = i_PCIe3121_mexWrite1AnalogOutput(deviceHandle, channel, polarity, value);
