function [returnValue, data] = l_PCIe3121_mexReadSequenceData(deviceHandle, size)
% l_PCIe3121_mexReadSequenceData
%
% Reads data acquired in a sequence acquisition. 
% This function can be called in the interrupt routine that you registered. (see samples) 
%
% Input parameters:
%    deviceHandle              "Handle of the board"
%    size                      "Size in bytes to read. To be efficient, it should be (sequence size * sequence before interrupt) * sizeof(USHORT)"
%
% Output parameters:
%    returnValue             "Value returned by the function"
%    data                      "A pointer to the acquired values"
%
%Example:
% // Add an example here

[returnValue, data] = l_PCIe3121_mexReadSequenceData(deviceHandle, size);
